'use server';

import Link from 'next/link';
import { Button } from '@/components/ui';
import NavigationAuth from './auth';
import { ThemeToggle } from '@/components/context/theme';
import Image from 'next/image';

const Navigation = () => {
  return (
    <nav
      className='w-full flex justify-center
      border-b border-b-foreground/10 h-16'
    >
      <div
        className='w-full max-w-5xl flex justify-between
        items-center p-3 px-5 text-sm'
      >
        <div className='flex gap-5 items-center font-semibold'>
          <Link className='flex flex-row my-auto gap-2' href='/'>
            <Image src='/favicon-96x96.png' alt='T3 Logo' width={50} height={50} />
            <h1 className='my-auto text-2xl'>T3 Supabase Template</h1>
          </Link>
          <div className='flex items-center gap-2'>
            <Button asChild>
              <Link href='https://git.gbrown.org/gib/T3-Template'>
                Go to Git Repo
              </Link>
            </Button>
          </div>
        </div>
        <div className='flex items-center gap-2'>
          <ThemeToggle />
          <NavigationAuth />
        </div>
      </div>
    </nav>
  );
};
export default Navigation;
